.tree-content-holder
  .table-holder
    %table.table#tree-slider{ class: "table_#{@hex_path} tree-table" }
      %thead
        %tr
          %th Name
          %th.hidden-xs
            .pull-left Last commit
            .last-commit.hidden-sm.pull-left
              %i.fa.fa-angle-right
              %small.light
                = link_to @commit.short_id, namespace_project_commit_path(@project.namespace, @project, @commit), class: "monospace"
                = clipboard_button(clipboard_text: @commit.id, title: "Copy commit SHA to clipboard")
                = time_ago_with_tooltip(@commit.committed_date)
                \-
                = @commit.full_title
            %small.commit-history-link-spacer &#124;
            = lock_file_link(html_options: {class: 'pull-right prepend-left-10 path-lock'})
            = link_to 'History', namespace_project_commits_path(@project.namespace, @project, @id), class: 'commit-history-link'
          %th.text-right Last Update
      - if @path.present?
        %tr.tree-item
          %td.tree-item-file-name
            = link_to "..", namespace_project_tree_path(@project.namespace, @project, up_dir_path), class: 'prepend-left-10'
          %td
          %td.hidden-xs

      = render_tree(tree)

  - if tree.readme
    = render "projects/tree/readme", readme: tree.readme

- if can_edit_tree?
  = render 'projects/blob/upload', title: 'Upload New File', placeholder: 'Upload new file', button_title: 'Upload file', form_path: namespace_project_create_blob_path(@project.namespace, @project, @id), method: :post
  = render 'projects/blob/new_dir'

- if license_allows_file_locks?
  :javascript
    PathLocks.init(
      '#{toggle_namespace_project_path_locks_path(@project.namespace, @project)}',
      '#{@path}'
    );


:javascript
  // Load last commit log for each file in tree
  $('#tree-slider').waitForImages(function() {
    gl.utils.ajaxGet("#{escape_javascript(@logs_path)}");
  });
